function InitForumTopicPosts( id ) {
	$.localScroll();
	var s = document.location.href;
	var pos = s.indexOf( "#forum_post_" );
	if (pos>=0) {	
		var forum_topic_post_id = s.substr( pos + 12 );
		HighlightTopicPost( id , forum_topic_post_id );
	}	
}

function RemoveHighlightTopicPost( id ) {
	var t = $("#"+id);
	var forum_topic_post_id = t.data( "hl_topic_post" );
	if (!forum_topic_post_id) return;
	$("#"+id+"_row"+forum_topic_post_id+"_hdr").switchClass( "hlhdr" , "row0" , 1000 );
	$("#"+id+"_row"+forum_topic_post_id+"_data").switchClass( "hldata" , "data0" , 1000 );
	t.data( "hl_topic_post" , 0 );
}

function HighlightTopicPost( id , forum_topic_post_id ) {
	RemoveHighlightTopicPost( id );
	var t = $("#"+id);
	$("#"+id+"_row"+forum_topic_post_id+"_hdr").switchClass( "row0" , "hlhdr" , 1000 );
	$("#"+id+"_row"+forum_topic_post_id+"_data").switchClass( "data0" , "hldata" , 1000 );
	t.data( "hl_topic_post" , forum_topic_post_id );
}
